@echo off
COLOR 17
TITLE Scan2ProfiDB - (c) AFS/Kelkheim - Script 27.10.2005 / M.Scheinberger
CLS

rem echo.
rem echo   ****************************************************
rem echo   ***                                              ***
rem echo   ***   Direktes Scannen als JPEG                  ***
rem echo   ***   mit TWAIN-Commander und                    ***
rem echo   ***   Uebergabe an ProfiDB                       ***
rem echo   ***   Script by Marcus Scheinberger              ***
rem echo   ***                                              ***
rem echo   ***   (c) 2005 Alcoa Fastening Systems           ***
rem echo   ***   Fairchild Fasteners Europe - Camloc GmbH   ***
rem echo   ***                                              ***
rem echo   ****************************************************

echo.
echo  Initialisiere Scanner - bitte kurz warten...

for %%i in (%0) do set STARTPATH=%%~dpi

set SCANDIR=%TEMP%\Scans
set TWAIN=%STARTPATH%TWAINCom\TWAINCom.exe

if not exist %SCANDIR% md %SCANDIR%
if exist %SCANDIR%\scan.jpg del %SCANDIR%\scan.jpg

%TWAIN% %SCANDIR%\scan.jpg -o -paperformata4 -r 300

echo.
rem echo  Sende Datei an ProfiDB...
if exist %SCANDIR%\file.pdb del %SCANDIR%\file.pdb
if not exist %SCANDIR%\scan.jpg goto ERROR

rem Uebergabedatei fuer ProfiDB erzeugen...
rem ---------------------------------------
echo STORE> %SCANDIR%\file.pdb
echo %SCANDIR%\scan.jpg>> %SCANDIR%\file.pdb
move %SCANDIR%\file.pdb %TEMP%\file.pdb

goto END

:ERROR
echo  FEHLER: Es wurde kein Dokument gespeichert!
echo.
Pause

:END
xEXIT