@echo off
COLOR 17
TITLE Scan2ProfiDB - (c) AFS/Kelkheim - Script 27.10.2005 / M.Scheinberger
cls

rem echo.
rem echo   *************************************************
rem echo   ***                                           ***
rem echo   ***       Direktes Scannen in eine            ***
rem echo   ***       Multipage-Tiff-Datei mit            ***
rem echo   ***       TWAIN-Commander und                 ***
rem echo   ***       Uebergabe an ProfiDB                ***
rem echo   ***       Script by Marcus Scheinberger       ***
rem echo   ***                                           ***
rem echo   *************************************************

echo.
echo  AUTOMATISCHES SCANNEN DIN-A4
echo  ----------------------------
echo.
echo  Legen Sie die Dokumente in den automatischen Blatteinzug Ihres
echo  Scanners ein und druecken Sie eine beliebige Taste...
echo.
pause >NUL
echo.
echo  Scanne Dokumente - bitte kurz warten...

for %%i in (%0) do set STARTPATH=%%~dpi

set SCANDIR=%TEMP%\Scans
set TWAIN=%STARTPATH%TWAINCom\TWAINCom.exe

if not exist %SCANDIR% md %SCANDIR%
if exist %SCANDIR%\scan.tif del %SCANDIR%\scan.tif

%TWAIN% %SCANDIR%\scan.tif -p -feederon -monochrome -multipagetiff -o -paperformata4 -r 300

echo.
rem echo  Sende Datei an ProfiDB...
if exist %SCANDIR%\file.pdb del %SCANDIR%\file.pdb
if not exist %SCANDIR%\scan.tif goto ERROR

rem Uebergabedatei fuer ProfiDB erzeugen...
rem ---------------------------------------
echo STORE> %SCANDIR%\file.pdb
echo %SCANDIR%\scan.tif>> %SCANDIR%\file.pdb
move %SCANDIR%\file.pdb %TEMP%\file.pdb

goto END

:ERROR
echo  Fehler: Scannvorgang nicht erfolgreich - bitte wiederholen!
echo.
Pause

:END
EXIT